Bug 1775 - When package installing URPMI should update related packages
: When package installing URPMI should update related packages
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-13 12:26 MSK by Vladimir Potapov
Modified: 2013-04-24 12:40 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2013-03-13 12:26:46 MSK
See http://bugs.rosalinux.ru/show_bug.cgi?id=1763
Comment 1 Denis Silakov 2013-03-13 12:47:30 MSK
Uh, no. This would allow to avoid issues such as the one from the bug you've quoted, but will significantly decrease urpmi flexibility. 

Urpmi is a command-line tool intended for experienced users, and developers do need a way to install packages without updating the whole set of dependent packages. Because in many cases such updates are not really necessary and will only take time.

Normally users should use some higher-level tools. Currently we use rpmdrake, but it is quite an ugly program and we are not going to improve it in future. Instead, a new Software Center will be introduced in future ROSA versions; let's hope it will be smarter and easier-to-use for end users.
Comment 2 Andrey Bondrov 2013-03-13 13:47:08 MSK
(In reply to comment #1)
> Uh, no. This would allow to avoid issues such as the one from the bug you've
> quoted, but will significantly decrease urpmi flexibility. 

The feature just must be optional and turned on by default (with possibility to disable via urpmi system config or key --no-suggested-updates).
Comment 3 Denis Silakov 2013-03-28 15:39:36 MSK
On the latest TC meeting we've come to agreement to try to implement some improvements in this area.
Comment 4 Denis Silakov 2013-04-17 16:03:40 MSD
Advisory:

When updating some package, urpmi by default now tries to update all packages on which the current one depends. That is, if you invoke 'urpmi foo' and foo requires 'bar', urpmi will look for bar updates and install them, even if 'bar' is already installed and formally satisfy 'foo' requirement.

Behavior of urpmi can be regulated using '--force-req-update' and '--no-force-req-update' options (either in command line or in urpmi.cfg). Rpmdrake now has appropriate option enabled by default.

Build lists:
(perl-URPM)
https://abf.rosalinux.ru/build_lists/1055659
https://abf.rosalinux.ru/build_lists/1055660

(urpmi)
https://abf.rosalinux.ru/build_lists/1055657
https://abf.rosalinux.ru/build_lists/1055658

(rpmdrake)
https://abf.rosalinux.ru/build_lists/1055662
https://abf.rosalinux.ru/build_lists/1055661

perl-URPM should be published first.

These changes were tested for some time by developers. We've fixed some issues and there were no claiming during the last week.

Considering the case with audiofile (bug #1763) - Audiofile requires 'libaudiofile.so.1', but it doesn't specify particular version of the library package. So if user has old audiofile and libaudiofile installed, he is able to update audiofile only. But newer audiofile (0.3.6 in that case) doesn't work with old library (0.3.4). With new urpmi, libaudiofile will be updated automatically.
Comment 5 Vladimir Potapov 2013-04-18 06:39:21 MSD
perl-URPM-4.43-8-rosa2012.1
urpmi-6.71-9-rosa2012.1
rpmdrake-5.26.12-15-rosa2012.1
********************** Advisory *************************
When updating some package, urpmi by default now tries to update all packages on which the current one depends. That is, if you invoke 'urpmi foo' and foo requires 'bar', urpmi will look for bar updates and install them, even if 'bar' is already installed and formally satisfy 'foo' requirement.

Behavior of urpmi can be regulated using '--force-req-update' and '--no-force-req-update' options (either in command line or in urpmi.cfg). Rpmdrake now has appropriate option enabled by default.
*******************************************************
QA Verified